Skip to main content

15) Creating SOM Files

Creating SOM File

API

MethodURL
POST/api/som/createFile

Request Body

NameRequiredTypeDescription
licenseKeyrequiredstringEnter the issued license in the integration app management menu of the SHIELDRM admin page.
srcFilePathrequiredstringAbsolute path of the original file
- DS security documents do not support the creation of som files.
- If the document is a som file, return success after copying the file.
dstFilePathrequiredstringAbsolute path of the external transfer security file to be generated
- The file extension must be indicated as exe.
somSetRightsrequiredarrayStringPermissions set by the SLSomFileLinker.DSSOMSetRights() function
propertiesrequiredjsonOptions set in dssom.properties
decisionFactoroptionaljsonAdditional Information Input for Applying Registered Conditional Policies
(Refer to the decisionFactor data description table and sample data below)
somSetRights
indexTypeDescription
0stringPassword string
- Passwords can only consist of English letters and numbers.
1intSave As Permission
2intPrint Permission
3intRead Count
4intPrint count
5intDestruction Permission
6intExpiration Date
7intOLESOM Viewer Support
8intImage Viewer Support
9intText Viewer Support
10intUse UI Version(1, 2(Defaule;DS4.0))
11booleanUse Unicode(true(Default), False)
12stringOnly PCs with the same MAC address can be opened.
properties (refer to dssom.properties)
NameTypeDescription
DSKEYENCRYPT_KEYstringFixed Key Input for SOM Generation (EKDATA2)
...
decisionFactor Data Description Table
KeyRequiredTypeDescription
userIdrequiredstringUser ID of the requester for document conversion that corresponds to the members of the conditional policy
ipAddressrequiredstringUser IP requesting document conversion corresponding to the location (IP) of the conditional policy
  • Sample Data
{
"userId": "user1@socam.info",
"ipAddress": "10.10.10.100"
}

Response

NameTypeDescription
codeint0 : Success
Other values: Error
messagestringError message on failure

Examples

Request

  • Body
{
"licenseKey": "EFB4-19136-DB9E-201B9",
"srcFilePath": "D:\\opt\\shieldrm\\data\\test\\test.pptx",
"dstFilePath": "D:\\opt\\shieldrm\\data\\test\\test.exe",
"somSetRights": "[\"1111\",1,1,2,0,1,1,1,0,0,2,true,\"10-FF-E0-7F-06-C6\"]",
"properties": "{\"SiteInfo\":\"\",\"DocUIDWithoutMAC\":0,\"DSKEYENCRYPT_KEY\":\"EhH9NMxViK0XFXho/DEZZg==\",\"useDSvFive\":0,\"useAutoGenDocUID\":1,\"useHashDispersed\":1,\"LimitPwdFail\":0}",
"decisionFactor": "{\"userId\":\"user1@socam.info\",\"ipAddress\":\"10.10.10.100\"}"
}

Response

  • success
{
"code": 0,
"message": "OK"
}
  • failure
  • Status code : 500 INTERNAL_SERVER_ERROR
[SDF 컨테이너 모듈(SCSL) 에러]
{
"code": -61,
"message": "EXCEPTION error"
}